<?php
// wbb imports
require_once(WBB_DIR.'lib/data/page/seo/WBBSEOUtil.class.php');

// wcf imports
require_once(WCF_DIR.'lib/system/event/EventListener.class.php');

/**
 * Writes rewrite rules to .htaccess file.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2009 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb.seo
 * @subpackage	system.event.listener
 * @category 	Burning Board
 */
class SEOOptionFormListener implements EventListener {
	/**
	 * @see EventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {
		if ($eventObj->activeCategory == 'seo') {
			require_once(WBB_DIR.'lib/data/page/seo/WBBSEOUtil.class.php');
			WBBSEOUtil::rebuildConfigFile();
		}
	}
}
?>